package org.jeecg.modules.stm.plan.main.constant;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author: yzh
 * @Date 2023/7/16 9:33
 * @Description:
 */
public class PlanFlag {
    /**编制中**/
    public static final String BZZ = "0";
    /**待审核**/
    public static final String DSH = "1";
    /**已驳回**/
    public static final String YBH = "2";
    /**已生效**/
    public static final String YSX = "3";
    /**变更待审核**/
    public static final String BGDSH = "4";
    /**变更待已驳回**/
    public static final String BGYBH = "5";
    /**已变更**/
    public static final String YBG = "6";
    /**废止待审核**/
    public static final String FZDSH = "7";
    /**废止已经驳回**/
    public static final String FZYBH = "8";
    /**已废止**/
    public static final String YFZ = "9";
    public static final String SH = "11";

    public static final String SHEND = "99";
    /**状态翻译**/
    public static final Map<String,String> FLAG_CACHE = new HashMap<String,String>(){
        {
            put(BZZ,"编制中");
            put(DSH,"待审核");
            put(YBH,"已驳回");
            put(YSX,"已生效");
            put(BGDSH,"变更待审核");
            put(BGYBH,"变更已驳回");
            put(YBG,"已变更");
            put(FZDSH,"废止待审核");
            put(FZYBH,"废止已驳回");
            put(YFZ,"已作废");

            put(SH,"审核中");

            put(SHEND,"审核完成");
        }
    };
    public static final List<String> CHANGE_LIST = Arrays.asList(YSX,BGDSH,BGYBH,YBG,FZDSH,FZYBH,YFZ);
}
